<template>
	<div class="main">
		<Top class="container" />

		<div v-if="data.coverImage" class="cover" :style="{ 'background-image': 'url(' + data.coverImage.urls.original + ')' }"></div>
		
		<section>
			<div class="columns is-centered">
				<div class="column is-8">								
					<div class="content">					
						<div class="tags has-text-centered line">
							<span class="tag" v-for="(node, index) in data.tags" :key="index">{{ node.text }}</span>
						</div>

						<h1 class="title has-text-centered">{{ data.title }}</h1>	

						<div class="has-text-centered">
							<ul class="list-inline">
								<li>
									<img src="../../assets/imgs/ods.png" alt="ODS" class="image">
								</li>
								<li v-for="(ods, odsIndex) in data.ods" :key="odsIndex" class="odses">
									<span :style="{ background: ods.color }" class="ods" v-tooltip.top-center="ods.title">{{ ods.number }}</span>
								</li>
							</ul>
						</div>

						<p class="line"><strong>Local: </strong>{{ data.addressCity }} / {{ data.addressState }}</p>		
						<p class="line"><strong>Instituição: </strong>{{ data.institutionName }}</p>		
						<p class="line"><strong>Fonte: </strong>{{ data.source }}</p>		

						<div class="description">
							<p><strong>Resumo</strong></p>
							<p>{{ data.description }}</p>		
						</div>
          </div>
        </div>
      </div>

      <div class="columns is-centered">
        <div class="column col-photos">
          <carousel :perPage="3" :perPageCustom="[[360, 1], [ 768, 2], [994, 3]]">
            <slide v-for="(media, indexMedia) in medias" :key="indexMedia">
              <img :src="media.urls['570x370']" :alt="media.caption" />
            </slide>
          </carousel>
        </div>
      </div>

      <div class="columns is-centered">
        <div class="column is-8">                
          <div class="content">
            <h3 class="subtitle">Perguntas e Respostas</h3>
            <Answer :initiativeId="data.id" />
          </div>
        </div>
      </div>      

		</section>

		<section class="container-fluid video-section" v-if="video.length == 1">
      <div class="inner">
        <youtube :video-id="video[0].videoId"></youtube>

        <Grid :data="video" class="video" v-if="video.length > 1">
          <template slot="itemgrid" slot-scope="data">
            <youtube :video-id="data.col.videoId"></youtube>
          </template>
        </Grid>  
      </div>
		</section>

		<div class="container-fluid">
			<div class="columns is-centered">
				<div class="column is-8">
					<div class="content">					
						<section class="learn-more-section" v-if="links.total > 0">
							<h3 class="subtitle">Saiba mais</h3>		
							<ul>
								<li v-for="(link, indexLink) in links.items" :key="indexLink">
									<a :href="link.url" target="_blank">{{ link.title }}</a>
								</li>
							</ul>							
						</section>						
					</div>					
				</div>
			</div>
		</div>

		<Bottom />
	</div>
</template>

<script>
import Top from './comps/top.vue'
import Bottom from './comps/bottom.vue'
import Answer from './comps/answer.vue'
// import ModalDownloads from './comps/modaldownloads.vue'
import { getLandInitiative } from '../../api/initiative.service.js'
import { getMediaLinks, getMedias, getVimeoMeta, getSoundcloudMeta } from '../../api/media-links.service.js'
import { getIdFromURL } from 'vue-youtube-embed'
import Grid from './comps/grid.vue'
import { Carousel, Slide } from 'vue-carousel';

export default {
	name: "InitiativePage",
	data() {
		return {
      data: [],
      answers: [],
      medias: [],
      video: [],
      links: []
		}
	},
  components: { Answer, Bottom, Top, Grid, Carousel, Slide },
	// components: { Answer, Bottom, Top, Grid, ModalDownloads },
	methods: {
		get() {

			getLandInitiative(this.$route.params.id)
				.then((data) => {
					this.data = data.data
					this.getMedias(data.data.id)					
				},
				(error) => {
					console.info("Data error:", error)
				})
		},
		getMedias(id) {

			getMediaLinks('link', id)
				.then((data) => {
					this.links = data
          console.info("links", data)
				}, 
				(error) => {
					// console.info("Data medias error:", error)					
				})

			getMediaLinks('video', id)
				.then((data) => {
					if(data.total > 0) {
            data.items.map((node, index) => node.videoId = getIdFromURL(node.url))
						this.video = data.items
					}
				}) 
			getMedias('image', id)
				.then((data) => {
					this.medias = data.items
          console.info("image", data)
				}) 				
		},	
	},
	created() {
		this.get()
	}
}
</script>

<style>
	.title {
		color: #458e40 !important;
		display: block !important;
		font-size: 3em !important;
		font-weight: bold !important;
		margin-top: 30px;
	}
	.subtitle {
		font-size: 2em !important;
		font-weight: bold  !important;
	}

	.cover {
		background-position: center center;
		background-repeat: no-repeat;
		background-size: cover;
		height: 400px;
		margin-bottom: 30px;
		margin-top: 30px;
	}

	.content {
		padding-left: 20px;
		padding-right: 20px;
		margin-bottom: 30px !important;
	}
	.tags {
		display: block;
	}

	.tag {
		background: #258b4c !important;
		color: #fff  !important;
		font-size: 1em !important;
		padding: 12px !important;
	}

	.line {
		border-bottom: 1px solid #c5c5c5;
		/*height: 10px;*/
		padding-bottom: 10px;
		margin-bottom: 20px;
	}

	.list-inline {
		margin: 0;
		padding: 0;
	}

	.list-inline li {
		display: inline-block;
		height: 50px;
	}

	li.odses {
		position: relative;
	}

	.image {
		vertical-align: middle;
		margin-right: 12px;
	}
	.first-answer {
		margin-top: 30px;
	}
	.question {
		font-weight: bold;
		margin-bottom: 10px !important;
	}

	.ods {
		border-radius: 2px;
		color: #fff;
		display: inline-block;
		padding: 6px 12px;
		position: relative;
		margin-right: 10px;
		top: -22px;
	}

	.video-section {
		background: #000;
		text-align: center;
		padding: 20px;
		margin: 30px auto; 

  }
  .video-section .inner {
    padding: 0 30px;
  }

	.learn-more-section a {
		border-color: transparent !important;
		text-decoration: none;
		color: #000;
	}
	.learn-more-section a:hover {
		border-color: #000 !important;
	}

  .col-photos {
    border-top: 1px solid #c5c5c5;
    border-bottom: 1px solid #c5c5c5;
    padding: 20px 0;
    margin: 30px 0;
    text-align: center;

  }





	@font-face {
	  font-family: 'Montserrat';
	  font-style: normal;
	  font-weight: 300;
	  src: local('./src/assets/fonts/montserrat/Montserrat Light'), local('./src/assets/fonts/montserrat/Montserrat-Light'), url(https://fonts.gstatic.com/s/montserrat/v11/IVeH6A3MiFyaSEiudUMXEweOulFbQKHxPa89BaxZzA0.woff2) format('woff2');
	  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;
	}

	@font-face {
	  font-family: 'Montserrat';
	  font-style: normal;
	  font-weight: 400;
	  src: local('./src/assets/fonts/montserrat/Montserrat Regular'), local('./src/assets/fonts/montserrat/Montserrat-Regular'), url(https://fonts.gstatic.com/s/montserrat/v11/zhcz-_WihjSQC0oHJ9TCYAzyDMXhdD8sAj6OAJTFsBI.woff2) format('woff2');
	  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;
	}
  @font-face {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    src: local('./src/assets/fonts/montserrat/Montserrat Regular'), local('./src/assets/fonts/montserrat/Montserrat-Regular'), url(https://fonts.gstatic.com/s/montserrat/v11/zhcz-_WihjSQC0oHJ9TCYAzyDMXhdD8sAj6OAJTFsBI.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;
  }

  @font-face {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 700;
    src: local('./src/assets/fonts/montserrat/Montserrat Bold'), local('./src/assets/fonts/montserrat/Montserrat-Bold'), url(https://fonts.gstatic.com/s/montserrat/v11/IQHow_FEYlDC4Gzy_m8fcmaVI6zN22yiurzcBKxPjFE.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;
  }

	body {
		font-family: 'Montserrat', sans-serif;
	}

</style>
